Skip to main content
PUT
Update journey details

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

id
integer
required

Journey ID in the authenticated organization.

Example:

42

Body

application/json
name
string

Name unique among non-deleted journeys in the organization.

Maximum string length: 255
Example:

"Welcome new donors"

description
string | null

Optional description.

Maximum string length: 10000
Example:

"Welcome and thank new supporters."

trigger_config
object | null

Step-type-specific configuration. Use the options endpoint for trigger events, filters, fields and templates. Trigger event filters.event_id must identify an available event in this organization.

settings
object | null

Journey settings; additional graph/template settings may also be stored.

Response

Update journey details completed.

id
integer

Journey ID.

Example:

42

name
string

Journey name.

Example:

"Welcome new donors"

description
string | null

Optional journey description.

Example:

"Example"

entity_type
enum<string>

Journey subject type; sponsorship availability follows the workspace lifecycle feature flag.

Available options:
donor,
trip_participant,
entity,
sponsorship
Example:

"donor"

status
enum<string>

Journey lifecycle status.

Available options:
draft,
active,
paused,
archived
Example:

"draft"

trigger_config
object | null

Step-type-specific configuration. Use the options endpoint for trigger events, filters, fields and templates. Trigger event filters.event_id must identify an available event in this organization.

settings
object | null

Journey settings including favorite, allow_reentry and optional event_repeat_policy.

enrolled_count
integer

Lifetime enrolled count.

Example:

12

completed_count
integer

Completed goal count.

Example:

3

can_edit_graph
boolean

True only for draft journeys.

Example:

false

can_activate
boolean

Whether all activation checks pass.

Example:

false

activation_blockers
string[]

Reason activation is blocked.

created_by
integer

Creating user ID.

Example:

42

created_at
string<date-time> | null

Creation timestamp.

Example:

"2026-10-20T12:00:00Z"

updated_at
string<date-time> | null

Last update timestamp.

Example:

"2026-10-20T12:00:00Z"

steps
object[]
edges
object[]